/* 
 * JS File for Actualite View
 */
var actuScreen = {
	viewModel: null,
	viewContainerId : 'actu',
	dataModel: null,
	counter: 0,
	doRequest: true,
	interval: null,
	firstTime: true,
	onActivate: function() {
		logger.debug('actuScreen.onActivate');
		if (actuScreen.doRequest) {
			actuScreen.loadData();
		}
		if (this.interval !== null) {
			clearInterval(this.interval);
		}
		this.interval = setInterval(function() {
			actuScreen.loadData();
		}, AUTOREFRESH_INTERVAL);
	},
	onDeactivate: function() {
		logger.debug('actuScreen.Ondeactivate');
		clearInterval(this.interval);
		this.interval = null;
	},
	loadData: function() {
		logger.debug('actuScreen.loadData');
		loader.show();
		// Call webservice
		var options = {
			method: 'GET',
			ws: 'myprofile.connections',
			data: [
				'sort=date'
			]
		}
		ws.doRequest(options, this.successCallWs, this.errorCallWs);
	},
	showProfile: function(refId) {
		logger.debug('actuScreen.showProfile');
		loader.show();
		// update user current Viewing file id
		var temp = 0;
		for (var i = 0; i < user.connectionIdList.length; i++) {
			if (refId == user.connectionIdList[i]._id) {
				temp = i;
				break;
			}
		}
		user.currentMemberViewingIndex = temp;
		memberScreen.loadData(refId);
	},
	loadViewWith: function(response) {
		logger.debug('actuScreen.loadViewWith');
		var view = {
			items: response.resultset.result.connections
		};
		user.connectionIdList = [];
		var string;
		var counter = 0;

		for (var current = 0, length = view.items.length; current < length; current++) {
			if (COUNTRY === 'UK' || (view.items[current].action_i18n != 'action_favs' && view.items[current].action_i18n != 'action_favr')) {
				if ((counter + 1) % 2 == 0) {
					view.items[current].className = "even";
				}
				else {
					view.items[current].className = "odd";
				}

				if (view.items[current].action_i18n == 'action_bals' || view.items[current].action_i18n == 'action_balr') {
					view.items[current].onclick = 'javascript:helper.changePage(\'inbox\')';
				} else {
					view.items[current].onclick = 'javascript:actuScreen.showProfile(\'' + view.items[current]._id + '\');helper.addToHistory(\'actu\');';
				}

				if (user.profile.my_search_gender == 'F') {
					string = eval("stringTable.code." + view.items[current].action_i18n + '_elle');
				} else {
					string = eval("stringTable.code." + view.items[current].action_i18n + '_il');
				}

				if (typeof string === 'undefined') {
					string = eval("stringTable.code." + view.items[current].action_i18n);
				}

				if (typeof string !== 'undefined') {
					view.items[current].action = string;
				}

				string = eval("stringTable.code." + view.items[current].duration_type);
				if (typeof string !== 'undefined') {
					view.items[current].time = string.replace('%s', view.items[current].duration);
				}
				view.items[current].infos.age = stringTable.code.old.replace('%s', view.items[current].infos.age);

				user.connectionIdList.push(view.items[current]);
				counter++;
			}
		}

		view = {
			items: user.connectionIdList
		};

		if (counter < 20) {
			this.counter = counter;
			actuScreen.loadPushProfiles();
		}

		// actuScreen.showProfile(this.id);
		var template = '<ul>\n\
				{{#items}}\n\
				<li id="{{_id}}" class="linkToMemberProfile {{className}}" onclick="{{onclick}}">\n\
					{{>photo}}\n\
					{{>infos}}\n\
					<span class="action">{{action}}</span>\n\
					<span class="time">{{time}}</span>\n\
				</li>\n\
				{{/items}}\n\
			</ul>';
		
		var partials = {
			photo: '<span class="image"><img src={{src_big}} alt=""/></span>',
			infos: '<span class="nickname">{{nickname}}</span>\n\
				<span class="age">{{age}}, {{city}}</span>'
		};
		
		var html = Mustache.to_html(template, view, partials);
		document.getElementById("actuContainer").innerHTML = html;

		if (counter >= 20) {
			loader.hide();
			actuScreen.displayMenu();
		}
	},
	successCallWs: function(httpReq) {
		if (httpReq.responseText !== '') {
			var responseText = httpReq.responseText.replace(/@id/g, '_id');
			responseText = responseText.replace(/(action|link|duration)@/g, '$1_');
			try {
				var response = eval('(' + responseText + ')');
			} catch(exception) {
				actuScreen.errorCallWs('wsResponseUnavailable');
				return false;
			}

			if (typeof response.resultset.result != 'undefined') {
				actuScreen.loadViewWith(response);				
				return true;
			} else {
				actuScreen.errorCallWs('wsResponseUnavailable');
				return false;
			}
		} else {
			actuScreen.errorCallWs('wsResponseUnavailable');
			return false;
		}
	},
	errorCallWs: function(errorCode) {
		logger.debug('actuScreen.errorCallWs');
		logger.error('actualiteScreen.errorCallWs');
		loader.hide();
		confirmation.alert("confirmationPopupText", stringTable.code.loadError);
		actuScreen.displayMenu();
	},
	loadPushProfiles: function() {
		logger.debug('actuScreen.loadPushProfiles');
		loader.show();
		// Call webservice
		var options = {
			method: 'GET',
			ws: 'list.pushprofiles',
			data: [
				"nb=10"
			]
		}
		ws.doRequest(options, this.successLoadPushProfiles, this.errorLoadPushProfiles);
	},
	successLoadPushProfiles: function(httpReq) {
		logger.debug('actuScreen.successLoadPushProfiles');
		if (httpReq.responseText !== '') {
			try {
				var response = eval('(' + httpReq.responseText + ')');
			} catch(exception) {
				actuScreen.errorCallWs('wsResponseUnavailable');
				return false;
			}
			if (typeof response.resultset.result != 'undefined') {
				// load connections ids in user object
				var connections = response.resultset.result.profiles;
				for (var key in connections) {
					if (connections.hasOwnProperty(key)) {
						user.connectionIdList.push(connections[key]);
					}
				}
				actuScreen.addProfiles(connections);
				return true;
			} else {
				actuScreen.errorCallWs('wsResponseUnavailable');
				return false;
			}
		} else {
			actuScreen.errorCallWs('wsResponseUnavailable');
			return false;
		}
	},
	errorLoadPushProfiles: function(errorCode) {
		logger.debug('actuScreen.errorLoadPushProfiles');
		logger.error(errorCode);
		loader.hide();
		actuScreen.displayMenu();
	},
	addProfiles: function(profiles) {
		logger.debug('actuScreen.addProfiles');
		var currentElement;
		var po;

		for (var current = 0, length = profiles.length; current < length; current++) {
			currentElement = profiles[current];
			currentElement._id = currentElement.abo_id;

			if (actuScreen.counter %2 == 0) {
				po = current + 1;
			} else {
				po = current;
			}

			if (po % 2 == 0) {
				currentElement.className = "even";
			}
			else {
				currentElement.className = "odd";
			}

			currentElement.onclick = 'actuScreen.showProfile(\'' + currentElement.abo_id + '\');helper.addToHistory(\'actu\');';

			currentElement.age = stringTable.code.old.replace('%s', currentElement.age);
		}

		var template = '<ul>\n\
				{{#items}}\n\
				<li id="{{abo_id}}" class="linkToMemberProfile {{className}}" onclick="{{onclick}}">\n\
					{{>photo}}\n\
					{{>infos}}\n\
				</li>\n\
				{{/items}}\n\
			</ul>';

		var view = {
			items: profiles
		}

		var partials = {
			photo: '<span class="image"><img src={{src_big}} alt=""/></span>',
			infos: '<span class="nickname">{{nickname}}</span>\n\
				<span class="age">{{age}}</span>\n\
				<span class="age">{{town}}</span>\n\
				<span class="action">' + stringTable.code.correspond_recherche + '</span>'
		};

		var html = Mustache.to_html(template, view, partials);
		var pushProfilesContainer = document.getElementById("pushProfilesContainer");
		pushProfilesContainer.innerHTML = html;
		pushProfilesContainer.removeClass('hidden');

		loader.hide();
		actuScreen.displayMenu();
	},
	displayMenu: function() {
		if (actuScreen.firstTime === true) {
			menu.show();
			actuScreen.firstTime = false;
		}
	}
}
