/*
 * JS File for Album View
 *
 */
var photosScreen = {
	viewModel: null,
	viewContainerId : 'album',
	dataModel: null,
	debug : false,
	images: [],
	myAlbum: null,

	onActivate: function() {
	},
	showAlbum: function() {
		this.loadData();
	},
	onDeactivate: function() {
		if (document.getElementById("imageWrapper")) {
			document.getElementById("imageWrapper").style.left = "0px";
		}
		document.getElementById("currentImage").src = "";
		document.getElementById("imageWrapper").src = "";
	},
	loadData: function() {
		photosScreen.loadView();
	},
	album: function(options) {
			var self = {
			// add attributes here
			currentImageDivId: null,
			albumContent: null,
			init: function() {
				// implement initialisation here
				self.currentImageDivId = options.currentImageDivId;
				self.albumContent = options.albumContent;
				self.showImageAtIndex(0);
				var imageWrapper = document.getElementById("imageWrapper");
				imageWrapper.style.left = "0px";
			},
			slide: function(direction) {
				var imageWrapper = document.getElementById("imageWrapper");
				var initialPositon = imageWrapper.style.left;
				if (initialPositon.length > 2) {
					initialPositon = initialPositon.split("px")[0];
					initialPositon = parseInt(initialPositon);
				}
				// arithmetic for limit beyond which user can't go right
				var nbrImages = document.getElementById('imageWrapper').childNodes.length;
				var limit = (-1 * (nbrImages - 2	) * 90);
				var limitPositionRight = initialPositon > limit;
				if (direction == 'right'  && limitPositionRight) {
					imageWrapper.style.left = (initialPositon - 90) + "px";
				} else if(imageWrapper.style.left != "0px") {
					imageWrapper.style.left = (initialPositon + 90) + "px";
				}
				return true;
			},
			showImageAtIndex: function(index) {
				document.getElementById('currentImage').src = self.albumContent[index].src_full;
			},
			addEventsListener: function() {
			},
			cancelEvent: function (e) {
				logger.debug('popup.cancelEvent');
			}
		}
		self.init();
		return self;
	},
	
	loadView: function() {
		var temp = '';
		for (var i=0,content = memberScreen.fullAlbumContent, nbr = content.length; i < nbr; i++ ) {
			temp += '<img id="'+i+'" class="image" src="' + content[i].src_big + '" onclick="javascript:photosScreen.myAlbum.showImageAtIndex(' + i + ');"/>';
		}
		document.getElementById('albumHeader_nickname').innerHTML = memberScreen.currentUserNickName;
		photosScreen.myAlbum = photosScreen.album({currentImageDivId : "currentImage", albumContent : memberScreen.fullAlbumContent});
		photosScreen.myAlbum.showImageAtIndex(0);
		document.getElementById("imageWrapper").innerHTML = temp;
		loader.hide();
		helper.changePage("photos");	
	},
	successCallWs: function(httpReq) {
		if (httpReq.responseText !== '') {
			var responseText = httpReq.responseText.replace(/@id/g, '_id');
			responseText = responseText.replace(/(action|link|duration)@/g, '$1_');
			try {
				var response = eval('(' + httpReq.responseText + ')');
			} catch(exception) {
				logger.error("Impossible d'interpréter la réponse du ws");
				return false;
			}
		}
		memberScreen.loadViewWith(response);
		return true;
	},
	errorCallWs: function(httpReq) {
		loader.hide();
		confirmation.alert("confirmationPopupText", stringTable.code.loadError);
	},
	displayError: function(message) {
		if (typeof this.loginError != 'undefined') {
			var error = document.createElement('p');
			error.innerHTML = message;
			this.loginError.appendChild(error);
		}
	}
}
