/**
 * Form field with placeholder
 */
function field(element, defaultValue) {
	var self = {
		focus: null,
		element: element,
		defaultValue: defaultValue,
		init: function() {
			if (typeof this.element != 'undefined') {
				this.element.defaultType = this.element.getAttribute('defaultType');
				var self = this;
				this.element.addEventListener('focus', function() {
					self.onFocus();
				}, false);
				this.element.addEventListener('blur', function() {
					self.onBlur();
				}, false);
				if (this.defaultValue != "" && this.element.value == "") {
					this.element.type = 'text';
					this.element.value = this.defaultValue;
				}
			}
		},
		onFocus: function() {
			if (this.element.value == this.defaultValue) {
				this.element.type = this.element.defaultType;
				this.element.value = "";
			}
		},
		onBlur: function() {
			if (this.element.value ==  "") {
				this.element.type = 'text';
				this.element.value = this.defaultValue;
			}
		},
		isEmpty: function() {
			return (this.element.value == "" || this.element.value == this.defaultValue);
		}
	}
	self.init();
	return self;
}
