/**
 * Some functions to help navigation
 */
var helper = {
	actual: null,
	small_screen_treshold: 320,
	mini_view_treshold: 150,
	browsingHistory:[],
	changePage: function(id, data) {
		logger.debug('helper.changePage');
		if (this.actual !== null) {
			this.deactivate(this.actual);
		}
		this.activate(id, data);	
	},
	addToHistory: function(page) {
		if (helper.browsingHistory.length < BROWSING_HISTORY_LIMIT) {
			helper.browsingHistory.push(page);
		} else {
			helper.browsingHistory = [];
		}
	},
	historyGoBack: function() {
		var temp = this.browsingHistory.pop();
		// set doRequest to false so as screen js class won't make ajax call
		eval(temp + "Screen.doRequest = false");
		if (temp == "aroundMe") {
			helper.changePage('aroundMe', aroundMeScreen.lastZipCodeSelected);
			return;
		}
		helper.changePage(temp);
	},
	activate: function(id, data) {
		logger.debug('helper.activate');
		var element = document.getElementById(id);
		if (element === null) {
			return false;
		}
		element.removeClass('hidden');
		this.actual = id;

		try {
			var object = eval(id + 'Screen');
		} catch(exception) {
			logger.error(exception.message);
			return false;
		}

		if (typeof object !== 'object') {
			return false;
		}
		if (typeof object.onActivate === 'function') {
			object.onActivate(data);
		}
	},
	deactivate: function(id) {
		logger.debug('helper.deactivate');
		var element = document.getElementById(id);
		if (element === null) {
			return false;
		}
		element.addClass('hidden');
		this.actual = null;

		try {
			var object = eval(id + 'Screen');
		} catch(exception) {
			logger.error(exception.message);
			return false;
		}

		if (typeof object !== 'object') {
			return false;
		}
		if (typeof object.onDeactivate === 'function') {
			object.onDeactivate();
		}
	},
	tag: function(tag, attribute, node) {
		node = node || document;
		var tags = node.getElementsByTagName(tag);
		tags = typeof tags.length === 'undefined' ? [tags] : tags;
		var result = tags;
		if (typeof attribute !== 'undefined') {
			result = [];
			var input;
			var at;
			for (var i = 0; i < tags.length; i++) {
				input = tags[i];
				at = input.attributes[attribute.name];
				if (typeof at !== 'undefined' && at.value == attribute.value) {
					result.push(input);
				}
			}
		}
		return result;
	},
	checkAllCheckboxes: function(node, checked) {
		node = node || document;
		var inputs = node.getElementsByTagName('input');
		for (var i = 0, length = inputs.length; i < length; i++) {
			inputs[i].checked = checked;
		}
	},
	allCheckboxesChecked: function(node) {
		node = node || document;
		var inputs = node.getElementsByTagName('input');
		var input, result = [];
		for (var i = 0, length = inputs.length; i < length; i++) {
			input = inputs[i];
			if (input.type === 'checkbox' && input.checked === true) {
				result.push(input);
			}
		}
		return result;
	},
	getScreenSize: function() {
		return {
			width: window.innerWidth,
			height: window.innerHeight
		};
	},
	isLandscape: function() {
		var size = this.getScreenSize();
		return (size.width > size.height);
	},
	isLargeScreen: function() {
		var size = this.getScreenSize();
		return (size.height > this.small_screen_treshold);
	},
	isMiniViewMode: function() {
		var size = this.getScreenSize();
		return (size.height < this.mini_view_treshold);
	},
	merge: function(first, second) {
		var o = first;
		var i = 0;
		for (var z in second) {
			if (second.hasOwnProperty(z)) {
				o[z] = second[z];
			}
		}
		return o;
	}
}
