/**
 * Language
 */
var i18n = {
	lang: LANG,
	loadLanguageFile: function() {
		logger.debug('i18n.loadLanguageFile');
		if (typeof this.lang === 'undefined') {
			logger.error('You have to define LANG constant');
			return false;
		}
		var header = document.getElementsByTagName('head')[0];
		var scriptElement = document.createElement('script');
		scriptElement.setAttribute("language", "javascript");
		scriptElement.setAttribute("type", "text/javascript");
		scriptElement.onload = this.loadStringTable;
		scriptElement.setAttribute("src", "lang/" + this.lang.toLowerCase() + ".js");
		header.appendChild(scriptElement);
	},
	loadStringTable: function() {
		logger.debug('i18n.loadStringTable');
		if (typeof stringTable !== 'undefined' && typeof stringTable.html !== 'undefined') {
			for (var name in stringTable.html) {
				var element = document.getElementById(name);
				if (element !== null) {
					if (element.tagName.toLowerCase() === 'input') {
						element.value = stringTable.html[name];
					} else {
						element.innerHTML = stringTable.html[name];
					}
				}
			}
		}
		i18n.sendEvent();
	},
	sendEvent: function() {
		logger.debug('i18n.sendEvent');
		var event = document.createEvent("UIEvent");
		event.initEvent('languageLoaded', false, false);
		document.dispatchEvent(event);
	}
}
