var emailPoll, appMenu, actualPage;

function init() {
	// Init logger
	logger = new Logger();
	logger.enabled = true;
	switch (ENV) {
		case 'dev':
			logger.level = logger.LOG_LEVEL_DEBUG;
			break;
		default:
			logger.level = logger.LOG_LEVEL_OFF;
			break;
	}
	// Load string table
	i18n.loadLanguageFile();
	// Désactive la navigation au curseur
	widget.setNavigationEnabled(false);
	// Hide menu buttons
	appMenu = menu;
	appMenu.hideSoftkeys();
	// Init application only when language loaded
	document.addEventListener('languageLoaded', function() {
		// Init popups
		menu = new popup('popup', 'menu_close');
		loader = new popup('loader');
		loader.active = true;
		confirmation = new popup('confirmationPopup');
		// Init user to retrieve credentials
		user.init();
		window.addEventListener('resize', onResize, false);
	}, false);
}

function onResize(e) {
	logger.debug('onResize');
	appMenu.hideSoftkeys();
	// Always disable widget refresh interval
	widgetHomeScreen.disableInterval();
	// Save actual page id different from widget
	if (helper.actual != 'widgetHome') {
		actualPage = helper.actual;
	}

	if (helper.isMiniViewMode()) {
		helper.changePage("widgetHome");
	} else {
		if (user.isConnected()) {
			if (actualPage == null) {
				helper.changePage(DEFAULT_SCREEN);
			} else {
				helper.changePage(actualPage);
			}
		} else {
			helper.changePage("login");
		}
	}
}

// Save credentials
widget.onexit = function() {
	user.saveCredentials();
	onResize();
}
