/**
 * loginScreen class
 */
var loginScreen = {
	loginForm: null,
	loginError: null,
	onActivate: function() {
		logger.debug('loginScreen.onActivate');
		this.loginForm = document.getElementById("login_form");
		this.loginError = document.getElementById('login_error');
		if (this.loginForm !== null) {
			var loginField = this.loginForm.login;
			if (typeof loginField !== 'undefined') {
				this.loginForm.loginField = new field(loginField, stringTable.code.login_placeholder_login);
			}
			var passwordField = this.loginForm.password;
			if (typeof passwordField !== 'undefined') {
				this.loginForm.passwordField = new field(passwordField, stringTable.code.login_placeholder_password);
			}
			var rememberMeField = this.loginForm.remember;
			if (typeof rememberMeField !== 'undefined') {
				this.loginForm.rememberMeField = rememberMeField;
			}
			var self = this;
			this.loginForm.addEventListener('submit', this.onFormSubmit, false);
		}
		loader.hide();
	},
	onDeactivate: function() {
		logger.debug('loginScreen.onDeactivate');
		if (this.loginForm !== null) {
			this.loginForm.removeEventListener('submit', this.onFormSubmit, false);
		}
	},
	onFormSubmit: function(event) {
		logger.debug('loginScreen.onFormSubmit');
		event.preventDefault();
		event.stopPropagation();
		if (typeof loginScreen.loginError != 'undefined') {
			loginScreen.loginError.removeAllChilds();
		}
		if (loginScreen.loginForm.loginField.isEmpty() || loginScreen.loginForm.passwordField.isEmpty()) {
			loginScreen.displayError(stringTable.code.login_error_login);
		}
		else {
			// Call webservice
			var login = loginScreen.loginForm.loginField.element.value;
			var password = loginScreen.loginForm.passwordField.element.value;
			loader.show();
			ws.authenticate(login, password, loginScreen.successAuhtenticate, loginScreen.errorAuthenticate);
		}
		
		return false;
	},
	successAuhtenticate: function(httpReq) {
		logger.debug('loginScreen.successAuthenticate');
		if (httpReq.responseText !== '') {
			// Eval response to transform json to an object
			try {
				var response = eval('(' + httpReq.responseText + ')');
			} catch(exception) {
				loginScreen.errorAuthenticate('eval of httpReq.responsetext failed');
				return false;
			}

			if (typeof response.resultset.result != 'undefined') {
				logger.debug("Session id => " + response.resultset.result.ssid);
				user.sessionId = response.resultset.result.ssid;
				// Set remember me
				user.rememberMe =  (typeof loginScreen.loginForm.rememberMeField != undefined && loginScreen.loginForm.rememberMeField.checked);
				// Store
				user.setCredentials(loginScreen.loginForm.loginField.element.value, loginScreen.loginForm.passwordField.element.value);
				user.getAboId();
			} else {
				loginScreen.errorAuthenticate('response.resultset.result is undefined');
				return false;
			}
		} else {
			loginScreen.errorAuthenticate('httpReq.responseText is empty');
			return false;
		}
	},
	errorAuthenticate: function(errorCode) {
		logger.debug('loginScreen.errorAuthenticate');
		logger.error(errorCode);
		loader.hide();
		switch(errorCode) {
			case 'loginErrorMessage':
				errorMessage = stringTable.code.login_error_login;
				break;
			default:
				errorMessage = stringTable.code.login_error_ws;
				break;
		}
		loginScreen.displayError(errorMessage);
	},
	displayError: function(message) {
		logger.debug('loginScreen.displayError');
		if (typeof this.loginError != 'undefined') {
			var error = document.createElement('p');
			error.innerHTML = message;
			this.loginError.removeAllChilds();
			this.loginError.appendChild(error);
		}
	}
}
