var mailScreen = {
	onActivate: function() {
		logger.debug('mailScreen.onActivate');
	},
	onDeactivate: function() {
		logger.debug('mailScreen.onDeactivate');
	},
	loadData: function(id) {
		logger.debug('mailScreen.loadData');
		loader.show();
		var options = {
			method: 'GET',
			ws: 'msg.display',
			data: [
				'msgref=' + id
			]
		};
		ws.doRequest(options, this.successLoadData, this.errorLoadData);
	},
	successLoadData: function(httpReq) {
		logger.debug('mailScreen.successLoadData');

		if (httpReq.responseText !== '') {
			// Eval response to transform json to an object
			try {
				var response = eval('(' + httpReq.responseText + ')');
			} catch(exception) {
				mailScreen.errorLoadData('eval of httpReq.responsetext failed');
				return false;
			}

			if (typeof response.resultset.result != 'undefined') {
				mailScreen.message = response.resultset.result.message;
				mailScreen.createPage(response.resultset.result.message);
				helper.changePage('mail');
				return true;
			} else {
				mailScreen.errorLoadData('response.resultset.result is undefined');
				return false;
			}
		} else {
			mailScreen.errorLoadData('httpReq.responseText is empty');
			return false;
		}
	},
	errorLoadData: function(errorCode) {
		logger.debug('mailScreen.errorLoadData');
		logger.error(errorCode);
		loader.hide();
		confirmation.alert("confirmationPopupText", stringTable.code.loadError);
	},
	createPage: function(message) {
		logger.debug('mailScreen.createPage');

		message.age = stringTable.code.old.replace('%s', message.age);
		message.online = message.online ? stringTable.code.online : stringTable.code.offline;
		message.body = message.body.htmlEntityDecode(hash);

		var template = '{{#items}}\n\
				<div class="infos" onclick="mailScreen.showProfile()">\n\
					<span class="image"><img src="{{photo}}" alt=""/></span>\n\
					<span class="age">{{age}}</span>\n\
					<span class="town">{{town}}</span>\n\
					<span class="status">{{online}}</span>\n\
				</div>\n\
				<div class="subject">\n\
					' + stringTable.code.subject + ' : <span class="blue">{{header}}</span>\n\
				</div>\n\
				<div id="mailBody" class="body"></div>\n\
				{{/items}}';
		
		var view = {
			items: message
		}
		var html = Mustache.to_html(template, view);
		document.getElementById("headerNicknameMail").innerHTML = message.nickname;
		document.getElementById("mailContainer").innerHTML = html;
		if (document.getElementById('mailBody') !== null) {
			document.getElementById('mailBody').innerHTML = message.body;
		}
		loader.hide();
	},
	replyToMessage: function() {
		helper.changePage('writeMail', mailScreen.message);
	},
	deleteMessage: function() {
		logger.debug('mailScreen.deleteMessage');
		loader.show();
		var options = {
			method: 'GET',
			ws: 'msg.del',
			data: [
				'msgref=' + mailScreen.message.ref
			]
		};
		ws.doRequest(options, mailScreen.successDeleteMessage, mailScreen.errorDeleteMessage);
	},
	successDeleteMessage: function() {
		logger.debug('mailScreen.successDeleteMessage');
		loader.hide();
		helper.changePage('inbox');
	},
	errorDeleteMessage: function(errorCode) {
		logger.debug('mailScreen.errorDeleteMessage');
		logger.error(errorCode);
		loader.hide();
		helper.changePage('inbox');
	},
	showProfile: function() {
		logger.debug('mailScreen.showProfile');
		loader.show();
		user.connectionIdList = [];
		user.connectionIdList.push(mailScreen.message);
		memberScreen.loadData(mailScreen.message.aboid);
		helper.addToHistory('mail');
	}
}
