/*
 * JS File for Actualite View
 *
 */
var memberScreen = {
	viewModel: null,
	viewContainerId : 'actu',
	dataModel: null,
	debug : false,
	result: null,
	memberAlbum:null,
	currentUserNickName : '',
	aboId:null,
	flashConfirmationPopup: null,
	previousPage_: null,
	fullAlbumContent: null,
	onActivate: function() {
		scroll(0,0);
	},
	onDeactivate: function() {
		scroll(0,0);
	},
	previousPage: function(_previousPage) {
		memberScreen.previousPage_ = _previousPage;
	},
	showPreviousProfile: function() {
		if (user.currentMemberViewingIndex == 0) {
			var showPreviousProfile = document.getElementById('showPreviousProfile');
			showPreviousProfile.src = 'img/btn_navigation_left_off.png';
			showPreviousProfile.setAttribute("onclick", "");
			loader.hide();	
			return;
		}
		user.currentMemberViewingIndex--;
		var profileToShow = user.connectionIdList[user.currentMemberViewingIndex]._id;
		if (user.currentMemberViewingIndex < user.connectionIdList.length) {
			var showNextProfile = document.getElementById('showNextProfile');
			showNextProfile.src = 'img/meetic/btn_navigation_right.png';
			showNextProfile.setAttribute("onclick", "javascript:memberScreen.showNextProfile();");
		}
		actuScreen.showProfile(profileToShow);
	},
	showNextProfile: function() {
		user.currentMemberViewingIndex++;
		var profileToShow = user.connectionIdList[user.currentMemberViewingIndex]._id;
		if (user.currentMemberViewingIndex > 0) {
			var showPreviousProfile = document.getElementById('showPreviousProfile');
			showPreviousProfile.src = 'img/meetic/btn_navigation_left.png';
			showPreviousProfile.setAttribute("onclick", "javascript:memberScreen.showPreviousProfile();");
		}
		actuScreen.showProfile(profileToShow);
		if (user.currentMemberViewingIndex == user.connectionIdList.length - 1) {
			var showNextProfile = document.getElementById('showNextProfile');
			showNextProfile.src = 'img/btn_navigation_right_off.png';
			showNextProfile.setAttribute("onclick", "");
			loader.hide();
			return;
		}
	},
	loadData: function(aboId) {
		logger.debug('memberScreen.loadData');
		//loader.show();
		// Call webservice
		var options = {
			method: 'GET',
			ws: 'member.display',
			data: [

				'aboid=' + aboId
			]
		}
		ws.doRequest(options, this.successCallWs, this.errorCallWs);
	},
	loadViewWith: function(response) {
		this.createPage(response);
	},
	truncateHeader: function(header) {
		if (header.length > 15) {
			return (header.substring(0, 15) + "...");
		}
		return header;
	},
	createPage: function(response) {
		this.debug = false;
		if (!this.debug) {
			this.result = response.resultset.result;
			var view = {
				items: response.resultset.result,
				// these functions are helpers to be used while generating the html markup from the templates ...
				online_text: function() {
					return function(text, render) {
						if ("text" == true) {
							return stringTable.code.online;
						} else {
							return stringTable.code.offline;
						}
					}
				},
				format: function(){
					return function(text, render) {
						var temp = text;
						if (temp.length == 0) {
							return "--";
						}
						return temp;
					}
				},
				translate: function() {
					return function(text, render) {
						var temp = text;
						//memberScreen.result.member_search_gender
						if (memberScreen.result.member_search_gender == 'F') {
							// Elle
							var string = eval("stringTable.code." + temp + '_elle');
						} else {
							// Il
							var string = eval("stringTable.code." + temp + '_il');
						}
						// No distinction
						if (typeof string === 'undefined') {
							string = eval("stringTable.code." + temp);
						}

						return string;
					}
				},
				toLower:function() {
					return function(text, render) {
						return text.substr(0, 1).toUpperCase() + text.substr(1).toLowerCase();
					}
				},
				toLower2: function(text) {
					return text.substr(0, 1).toUpperCase() + text.substr(1).toLowerCase();
				}
			};

			response.resultset.result.member_town_short = view.toLower2(response.resultset.result.member_town_short);

			// Format search member age
			response.resultset.result.member_search_age_maxi = stringTable.code.old.replace('%s', response.resultset.result.member_search_age_maxi);
			response.resultset.result.member_search_age = stringTable.code.de + " "
						+ response.resultset.result.member_search_age_mini + " "
						+ stringTable.code.a + " "
						+ response.resultset.result.member_search_age_maxi;

			// Format member age
			response.resultset.result.member_age = stringTable.code.old.replace('%s', response.resultset.result.member_age);

			// Format member summary
			response.resultset.result.member_summary_1 = response.resultset.result.member_age + ", "
						+ response.resultset.result.member_marital_text + ", "
						+ response.resultset.result.member_job_text;

			response.resultset.result.member_summary_2 = response.resultset.result.member_height_text + " "
						+ stringTable.code.height_unit + ", "
						+ stringTable.code.yeux_couleur.replace('%s', response.resultset.result.member_eyes_text);

			response.resultset.result.member_summary_3 = stringTable.code.habite + " " + response.resultset.result.member_town_short + ", "
						+ response.resultset.result.member_area_text;

			var search_words = stringTable.code.search;
			if (user.profile.member_search_gender == 'F') {
				search_words+= " " + stringTable.code.femme + " ";
			} else {
				search_words+= " " + stringTable.code.homme + " ";
			}
			response.resultset.result.member_summary_4 = search_words + response.resultset.result.member_search_age;

			// Format search member height
			response.resultset.result.member_search_height = stringTable.code.de + " "
						+ response.resultset.result.member_search_height_mini_text + " "
						+ stringTable.code.a + " "
						+ response.resultset.result.member_search_height_maxi_text + " "
						+ stringTable.code.height_unit;

			// Format search member weight
			response.resultset.result.member_search_weight = stringTable.code.de + " "
						+ response.resultset.result.member_search_weight_mini_text + " "
						+ stringTable.code.a + " "
						+ response.resultset.result.member_search_weight_maxi_text + " "
						+ stringTable.code.weight_unit;

			/* Build member screen html page from json object */
			var memberProfileContainer = document.getElementById("memberProfileContainer");
			memberProfileContainer.innerHTML = Mustache.to_html(memberScreen.template, view);

			/* deActivate previous button if member is first in list */
			var refId = response.resultset.result.member_aboid;
			var temp = 0;
			for (var i = 0; i < user.connectionIdList.length-1; i++) {
				if (refId == user.connectionIdList[i]._id) {
					temp = i;
					break;
				}
			}

			var showPreviousProfile = document.getElementById('showPreviousProfile');
			if (user.currentMemberViewingIndex == 0) {
				showPreviousProfile.addClass('unable');
			} else {
				// alert('remove class unable');
				showPreviousProfile.removeClass('unable');
			}

			var showNextProfile = document.getElementById('showNextProfile');
			if (user.currentMemberViewingIndex == user.connectionIdList.length-1) {
				showNextProfile.addClass('unable');
			} else {
				showNextProfile.removeClass('unable');
			}
			
			/* Member Announcement Text */
			var memberAnnouncementText = response.resultset.result.member_announce;
			if (memberAnnouncementText.length == 0) {
				if (memberScreen.result.member_gender == 'F') {
					memberAnnouncementText = response.resultset.result.member_nickname + " "
								+ stringTable.code.pas_encore_decrit_elle;
				} else {
					memberAnnouncementText = response.resultset.result.member_nickname + " "
								+ stringTable.code.pas_encore_decrit_il;
				}
			}
			document.getElementById("memberAnnouncement").innerHTML = memberAnnouncementText;

			/* Current Member Nickname */
			memberScreen.currentUserNickName = response.resultset.result.member_nickname;
			document.getElementById("header_nickname").innerHTML = memberScreen.truncateHeader(response.resultset.result.member_nickname);

			/* Count number of photos for user and add event listener */
			var fullAlbumContent = helper.merge(response.resultset.result.member_photos.album, response.resultset.result.member_photos.portrait);
			memberScreen.fullAlbumContent = fullAlbumContent;
			var photosCount = fullAlbumContent.length;
			
			var nbrPhotosText = photosCount + " " + stringTable.code.photos;
			
			if (photosCount == 0 || photosCount == 1) {
				nbrPhotosText = photosCount + " " + stringTable.code.photos;
			}
			
			document.getElementById("album_count").innerHTML = nbrPhotosText;		
			if (photosCount != 0) {
				document.getElementById("memberPic").addEventListener("click", function() {
					loader.show();
					photosScreen.loadData();
				}, false);
			}
			
			loader.hide();
		}
	},
	readMore : function(ref) {
		var target = ref.parentNode;
		var p = ref;
		do p = p.previousSibling;
		while (p && p.nodeType != 1);
		p.style.height = "auto";
		target.style.height = "auto";
		ref.style.display = "none";
	},
	successCallWs: function(httpReq) {
		if (httpReq.responseText !== '') {
			var responseText = httpReq.responseText.replace(/@id/g, '_id');
			responseText = responseText.replace(/(action|link|duration)@/g, '$1_');
			try {
				var response = eval('(' + httpReq.responseText + ')');
			} catch(exception) {
				logger.error("Impossible d'interpréter la réponse du ws");
				return false;
			}
		}
		memberScreen.loadViewWith(response);
		// Load member's album photo and member NickName as an attribute to this class
		this.currentUserNickName = response.nickname;
		memberScreen.memberAlbum = response.resultset.result.member_photos;
		memberScreen.aboId = response.resultset.result.member_aboid;
		loader.hide();
		helper.changePage("member");
		return true;
	},
	flashMember: function(aboId) {
		// implémenter la suite ici ...
		ws.flashMember(aboId, memberScreen.flashMemberCallSuccess, memberScreen.flashMemberCallError);
	},
	flashMemberCallSuccess: function(httpReq) {
		var message = stringTable.code.flashSended.replace('%s', memberScreen.currentUserNickName);
		confirmation.alert("confirmationPopupText", message);
	},
	flashMemberCallError: function(httpReq) {
		confirmation.alert("confirmationPopupText", stringTable.code.flashNotSended);
	},
	errorCallWs: function(errorCode) {
		logger.error(errorCode);
		loader.hide();
		confirmation.alert("confirmationPopupText", stringTable.code.loadError);
	},
	displayError: function(message) {
		if (typeof this.loginError != 'undefined') {
			var error = document.createElement('p');
			error.innerHTML = message;
			this.loginError.appendChild(error);
		}
	},
	sendMail: function() {
		logger.debug('memberScreen.sendMail');
		if (memberScreen.result !== null) {
			var message = {
				nickname: memberScreen.result.member_nickname,
				aboid: memberScreen.result.member_aboid,
				age: stringTable.code.old.replace('%s', memberScreen.result.member_age),
				town: memberScreen.result.member_town_text,
				online: memberScreen.result.online ?  stringTable.code.online : stringTable.code.offline,
				photo: memberScreen.result.member_photos.main.src_big
			};
			helper.changePage('writeMail', message);
		}
	},

	template: '{{#items}}\n\
		<div id="memberContainer">\n\
			<div id="memberProfile">\n\
				<div id="memberPic">\n\
					<img src="{{#member_photos}}{{#main}}{{src_big}}{{/main}}{{/member_photos}}"/>\n\
					<span id="album_count"></span>\n\
				</div>\n\
				<span id="onlineStatus">{{#online_text}}{{online}}{{/online_text}}</span>\n\
				<span id="memberAge">{{member_age}}, {{member_town_short}},</span>\n\
				<span id="memberDepartement">{{member_area_text}}</span>\n\
				<div id="buttons">\n\
					<img src="img/meetic/btn_profil_messagerie.png" class="left email" onclick="memberScreen.sendMail();helper.addToHistory(\'member\');"/>\n\
					<img src="img/meetic/btn_profil_flash.png" class="right flash" onclick="memberScreen.flashMember(memberScreen.aboId)"/>\n\
				</div>\n\
			</div>\n\
			<div id="memberData">\n\
				<div>{{member_summary_1}}</div>\n\
				<div>{{member_summary_2}}</div>\n\
				<div>{{member_summary_3}}</div>\n\
				<div>{{member_summary_4}}</div>\n\
			</div>\n\
			<div id="memberTableInfo">\n\
				<table>\n\
					<tr>\n\
						<td class="key">{{#translate}}silhouette{{/translate}}</td>\n\
						<td class="value">{{member_appearance_text}}</td>\n\
					</tr>\n\
					<tr>\n\
						<td class="key">{{#translate}}cheveux{{/translate}}</td>\n\
						<td class="value">{{{member_hairstyle_text}}}</td>\n\
					</tr>\n\
					<tr>\n\
						<td class="key">{{#translate}}enfant{{/translate}}</td>\n\
						<td class="value">{{member_haschildren_text}}</td>\n\
					</tr>\n\
					<tr>\n\
						<td class="key">{{#translate}}caractere{{/translate}}</td>\n\
						<td class="value">{{member_personality_text}}</td>\n\
					</tr>\n\
					<tr>\n\
						<td class="key">{{#translate}}sorties{{/translate}}</td>\n\
						<td class="value">{{member_going_out_text}}</td>\n\
					</tr>\n\
					<tr>\n\
						<td class="key">{{#translate}}hobbies{{/translate}}</td>\n\
						<td class="value">{{member_hobbies_text}}</td>\n\
					</tr>\n\
					<tr>\n\
						<td class="key">{{#translate}}sports{{/translate}}</td>\n\
						<td class="value">{{member_sports_text}}</td>\n\
					</tr>\n\
					<tr>\n\
						<td class="key">{{#translate}}fume{{/translate}}</td>\n\
						<td class="value">{{member_smoker_text}}</td>\n\
					</tr>\n\
				</table>\n\
			</div>\n\
		</div>\n\
		<div id="memberContainer2">\n\
			<h2>{{#translate}}mots_moi{{/translate}}</h2>\n\
			<div id="someWords1" class="dialogContainer">\n\
				<div id="memberAnnouncement"></div>\n\
			</div>\n\
			<h2>{{#translate}}mon_profil{{/translate}}</h2>\n\
			<div id="someWords3" class="dialogContainer">\n\
				<div class="words">\n\
					<table id="memberProfileTableInfo">\n\
						<tr>\n\
							<td class="key">{{#translate}}statut{{/translate}}</td>\n\
							<td class="value">{{member_marital_text}}</td>\n\
						</tr>\n\
						<tr>\n\
							<td class="key">{{#translate}}nationalite{{/translate}}</td>\n\
							<td class="value">{{member_nationality_text}}</td>\n\
						</tr>\n\
						<tr>\n\
							<td class="key">{{#translate}}origine{{/translate}}</td>\n\
							<td class="value">{{member_ethnos_text}}</td>\n\
						</tr>\n\
						<tr>\n\
							<td class="key">{{#translate}}langue{{/translate}}</td>\n\
							<td class="value">{{member_language_text}}</td>\n\
						</tr>\n\
						<tr>\n\
							<td class="key">{{#translate}}vis{{/translate}}</td>\n\
							<td class="value">{{member_livewith_text}}</td>\n\
						</tr>\n\
						<tr>\n\
							<td class="key">{{#translate}}fumeur{{/translate}}</td>\n\
							<td class="value">{{member_smoker_text}}</td>\n\
						</tr>\n\
						<tr>\n\
							<td class="key">{{#translate}}taille{{/translate}}</td>\n\
							<td class="value">{{member_height_text}}</td>\n\
						</tr>\n\
						<tr>\n\
							<td class="key">{{#translate}}poids{{/translate}}</td>\n\
							<td class="value">{{member_weight_text}}</td>\n\
						</tr>\n\
						<tr>\n\
							<td class="key">{{#translate}}long_cheveux{{/translate}}</td>\n\
							<td class="value">{{member_hairstyle_text}}</td>\n\
						</tr>\n\
						<tr>\n\
							<td class="key">{{#translate}}yeux{{/translate}}</td>\n\
							<td class="value">{{member_eyes_text}}</td>\n\
						</tr>\n\
						<tr>\n\
							<td class="key">{{#translate}}style{{/translate}}</td>\n\
							<td class="value">{{member_lifestyle_text}}</td>\n\
						</tr>\n\
						<tr>\n\
							<td class="key">{{#translate}}physique{{/translate}}</td>\n\
							<td class="value">{{member_look_text}}</td>\n\
						</tr>\n\
						<tr>\n\
							<td class="key">{{#translate}}attrayant{{/translate}}</td>\n\
							<td class="value">{{member_mostattractive_text}}</td>\n\
						</tr>\n\
						<tr>\n\
							<td class="key">{{#translate}}etude{{/translate}}</td>\n\
							<td class="value">{{member_studies_text}}</td>\n\
						</tr>\n\
						<tr>\n\
							<td class="key">{{#translate}}astrologie{{/translate}}</td>\n\
							<td class="value">{{member_astro_sign_text}}</td>\n\
						</tr>\n\
					</table>\n\
				</div>\n\
				<div class="next" onclick="memberScreen.readMore(this);">{{#translate}}lire_la_suite{{/translate}}</div>\n\
			</div>\n\
			<h2>{{#translate}}mon_style_vie{{/translate}}</h2>\n\
			<div id="someWords4" class="dialogContainer">\n\
				<div id="styleDeVieContent" class="words">\n\
					<table id="memberTableLifeStyle">\n\
						<tr>\n\
							<td>\n\
								<span class="lifeStyleKey">{{#translate}}profession{{/translate}}</span>\n\
								<span class="lifeStyleValue">{{member_job_text}}</span>\n\
							</td>\n\
						</tr>\n\
						<tr>\n\
							<td>\n\
								<span class="lifeStyleKey">{{#translate}}sorties{{/translate}}</span>\n\
								<span class="lifeStyleValue">{{member_goingout_text}}</span>\n\
							</td>\n\
						</tr>\n\
						<tr>\n\
							<td>\n\
								<span class="lifeStyleKey">{{#translate}}hobbies{{/translate}}</span>\n\
								<span class="lifeStyleValue">{{member_hobbies_text}}</span>\n\
							</td>\n\
						</tr>\n\
						<tr>\n\
							<td>\n\
								<span class="lifeStyleKey">{{#translate}}films{{/translate}}</span>\n\
								<span class="lifeStyleValue">{{member_movie_text}}</span>\n\
							</td>\n\
						</tr>\n\
						<tr>\n\
							<td>\n\
								<span class="lifeStyleKey">{{#translate}}animaux{{/translate}}</span>\n\
								<span class="lifeStyleValue">{{member_pet_text}}</span>\n\
							</td>\n\
						</tr>\n\
						<tr>\n\
							<td>\n\
								<span class="lifeStyleKey">{{#translate}}mange{{/translate}}</span>\n\
								<span class="lifeStyleValue">{{member_food_habit_text}}</span>\n\
							</td>\n\
						</tr>\n\
						<tr>\n\
							<td>\n\
								<span class="lifeStyleKey">{{#translate}}mariage{{/translate}}</span>\n\
								<span class="lifeStyleValue">{{member_marriage_text}}</span>\n\
							</td>\n\
						</tr>\n\
						<tr>\n\
							<td>\n\
								<span class="lifeStyleKey">{{#translate}}vouloir_enfant{{/translate}}</span>\n\
								<span class="lifeStyleValue">{{member_wantschildren_text}}</span>\n\
							</td>\n\
						</tr>\n\
						<tr>\n\
							<td>\n\
								<span class="lifeStyleKey">{{#translate}}romantique{{/translate}}</span>\n\
								<span class="lifeStyleValue">{{member_romantic_text}}</span>\n\
							</td>\n\
						</tr>\n\
						<tr>\n\
							<td>\n\
								<span class="lifeStyleKey">{{#translate}}religion{{/translate}}</span>\n\
								<span class="lifeStyleValue">{{member_religion_text}}</span>\n\
							</td>\n\
						</tr>\n\
						<tr>\n\
							<td>\n\
								<span class="lifeStyleKey">{{#translate}}niveau_religion{{/translate}}</span>\n\
								<span class="lifeStyleValue">{{member_religion_behaviour_text}}</span>\n\
							</td>\n\
						</tr>\n\
						<tr>\n\
							<td>\n\
								<span class="lifeStyleKey">{{#translate}}revenus{{/translate}}</span>\n\
								<span class="lifeStyleValue">{{member_income_text}}</span>\n\
							</td>\n\
						</tr>\n\
					</table>\n\
				</div>\n\
				<div class="next" onclick="memberScreen.readMore(this);">{{#translate}}lire_la_suite{{/translate}}</div>\n\
			</div>\n\
			<h2>{{#translate}}mon_recherche{{/translate}}</h2>\n\
			<div id="someWords5" class="dialogContainer">\n\
				<div class="words">\n\
					<table id="memberTableProfilesSearch">\n\
						<tr>\n\
							<td>\n\
								<span class="lifeStyleKey">{{#translate}}son_age{{/translate}}</span>\n\
								<span class="lifeStyleValue">{{member_search_age}}</span>\n\
							</td>\n\
						</tr>\n\
						<tr>\n\
							<td>\n\
								<span class="lifeStyleKey">{{#translate}}sa_taille{{/translate}}</span>\n\
								<span class="lifeStyleValue">{{member_search_height}}</span>\n\
							</td>\n\
						</tr>\n\
						<tr>\n\
							<td>\n\
								<span class="lifeStyleKey">{{#translate}}son_poids{{/translate}}</span>\n\
								<span class="lifeStyleValue">{{member_search_weight}}</span>\n\
							</td>\n\
						</tr>\n\
						<tr>\n\
							<td>\n\
								<span class="lifeStyleKey">{{#translate}}il_vit{{/translate}}</span>\n\
								<span class="lifeStyleValue">{{member_search_livewith_text}}</span>\n\
							</td>\n\
						</tr>\n\
						<tr>\n\
							<td>\n\
								<span class="lifeStyleKey">{{#translate}}il_veut_enfant{{/translate}}</span>\n\
								<span class="lifeStyleValue">{{member_search_wantschildren_text}}</span>\n\
							</td>\n\
						</tr>\n\
						<tr>\n\
							<td>\n\
								<span class="lifeStyleKey">{{#translate}}il_enfant{{/translate}}</span>\n\
								<span class="lifeStyleValue">{{member_search_haschildren_text}}</span>\n\
							</td>\n\
						</tr>\n\
						<tr>\n\
							<td>\n\
								<span class="lifeStyleKey">{{#translate}}sa_silhouette{{/translate}}</span>\n\
								<span class="lifeStyleValue">{{member_search_appearance_text}}</span>\n\
							</td>\n\
						</tr>\n\
						<tr>\n\
							<td>\n\
								<span class="lifeStyleKey">{{#translate}}son_caractere{{/translate}}</span>\n\
								<span class="lifeStyleValue">{{member_search_personality_text}}</span>\n\
							</td>\n\
						</tr>\n\
						<tr>\n\
							<td>\n\
								<span class="lifeStyleKey">{{#translate}}son_romantique{{/translate}}</span>\n\
								<span class="lifeStyleValue">{{member_search_romantic_text}}</span>\n\
							</td>\n\
						</tr>\n\
						<tr>\n\
							<td>\n\
								<span class="lifeStyleKey">{{#translate}}son_mariage{{/translate}}</span>\n\
								<span class="lifeStyleValue">{{member_search_marriage_text}}</span>\n\
							</td>\n\
						</tr>\n\
						<tr>\n\
							<td>\n\
								<span class="lifeStyleKey">{{#translate}}son_fume{{/translate}}</span>\n\
								<span class="lifeStyleValue">{{member_search_smoker_text}}</span>\n\
							</td>\n\
						</tr>\n\
						<tr>\n\
							<td>\n\
								<span class="lifeStyleKey">{{#translate}}son_mange{{/translate}}</span>\n\
								<span class="lifeStyleValue">{{member_search_food_habit_text}}</span>\n\
							</td>\n\
						</tr>\n\
						<tr>\n\
							<td>\n\
								<span class="lifeStyleKey">{{#translate}}son_nationalite{{/translate}}</span>\n\
								<span class="lifeStyleValue">{{member_search_nationality_text}}</span>\n\
							</td>\n\
						</tr>\n\
						<tr>\n\
							<td>\n\
								<span class="lifeStyleKey">{{#translate}}son_origine{{/translate}}</span>\n\
								<span class="lifeStyleValue">{{member_search_ethnos_text}}</span>\n\
							</td>\n\
						</tr>\n\
						<tr>\n\
							<td>\n\
								<span class="lifeStyleKey">{{#translate}}son_physique{{/translate}}</span>\n\
								<span class="lifeStyleValue">{{member_search_look_text}}</span>\n\
							</td>\n\
						</tr>\n\
						<tr>\n\
							<td>\n\
								<span class="lifeStyleKey">{{#translate}}son_long_cheveux{{/translate}}</span>\n\
								<span class="lifeStyleValue">{{member_search_hairstyle_text}}</span>\n\
							</td>\n\
						</tr>\n\
						<tr>\n\
							<td>\n\
								<span class="lifeStyleKey">{{#translate}}son_coupe_cheveux{{/translate}}</span>\n\
								<span class="lifeStyleValue">{{member_search_haircolor_text}}</span>\n\
							</td>\n\
						</tr>\n\
						<tr>\n\
							<td>\n\
								<span class="lifeStyleKey">{{#translate}}son_style{{/translate}}</span>\n\
								<span class="lifeStyleValue">{{member_search_lifestyle_text}}</span>\n\
							</td>\n\
						</tr>\n\
						<tr>\n\
							<td>\n\
								<span class="lifeStyleKey">{{#translate}}son_attirant{{/translate}}</span>\n\
								<span class="lifeStyleValue">{{member_search_mostattractive_text}}</span>\n\
							</td>\n\
						</tr>\n\
						<tr>\n\
							<td>\n\
								<span class="lifeStyleKey">{{#translate}}son_niveau_etude{{/translate}}</span>\n\
								<span class="lifeStyleValue">{{member_search_studies_text}}</span>\n\
							</td>\n\
						</tr>\n\
						<tr>\n\
							<td>\n\
								<span class="lifeStyleKey">{{#translate}}son_parle{{/translate}}</span>\n\
								<span class="lifeStyleValue">{{member_search_language_text}}</span>\n\
							</td>\n\
						</tr>\n\
						<tr>\n\
							<td>\n\
								<span class="lifeStyleKey">{{#translate}}son_religion{{/translate}}</span>\n\
								<span class="lifeStyleValue">{{member_search_religion_text}}</span>\n\
							</td>\n\
						</tr>\n\
						<tr>\n\
							<td>\n\
								<span class="lifeStyleKey">{{#translate}}son_pratique_religion{{/translate}}</span>\n\
								<span class="lifeStyleValue">{{member_search_religion_behaviour_text}}</span>\n\
							</td>\n\
						</tr>\n\
						<tr>\n\
							<td>\n\
								<span class="lifeStyleKey">{{#translate}}son_hobbies{{/translate}}</span>\n\
								<span class="lifeStyleValue">{{member_search_hobbies_text}}</span>\n\
							</td>\n\
						</tr>\n\
						<tr>\n\
							<td>\n\
								<span class="lifeStyleKey">{{#translate}}son_sorties{{/translate}}</span>\n\
								<span class="lifeStyleValue">{{member_search_goingout_text}}</span>\n\
							</td>\n\
						</tr>\n\
						<tr>\n\
							<td>\n\
								<span class="lifeStyleKey">{{#translate}}son_musique{{/translate}}</span>\n\
								<span class="lifeStyleValue">{{member_search_music_text}}</span>\n\
							</td>\n\
						</tr>\n\
						<tr>\n\
							<td>\n\
								<span class="lifeStyleKey">{{#translate}}son_films{{/translate}}</span>\n\
								<span class="lifeStyleValue">{{member_search_movie_text}}</span>\n\
							</td>\n\
						</tr>\n\
						<tr>\n\
							<td>\n\
								<span class="lifeStyleKey">{{#translate}}son_animaux{{/translate}}</span>\n\
								<span class="lifeStyleValue">{{member_search_pet_text}}</span>\n\
							</td>\n\
						</tr>\n\
						<tr>\n\
							<td>\n\
								<span class="lifeStyleKey">{{#translate}}son_sports{{/translate}}</span>\n\
								<span class="lifeStyleValue">{{member_search_sports_text}}</span>\n\
							</td>\n\
						</tr>\n\
						<tr>\n\
							<td>\n\
								<span class="lifeStyleKey">{{#translate}}son_profession{{/translate}}</span>\n\
								<span class="lifeStyleValue">{{member_search_job_text}}</span>\n\
							</td>\n\
						</tr>\n\
						<tr>\n\
							<td>\n\
								<span class="lifeStyleKey">{{#translate}}son_revenus{{/translate}}</span>\n\
								<span class="lifeStyleValue">{{member_search_income_text}}</span>\n\
							</td>\n\
						</tr>\n\
						<tr>\n\
							<td>\n\
								<span class="lifeStyleKey">{{#translate}}son_yeux{{/translate}}</span>\n\
								<span class="lifeStyleValue">{{member_search_eyes_text}}</span>\n\
							</td>\n\
						</tr>\n\
					</table>\n\
				</div>\n\
				<div class="next" onclick="memberScreen.readMore(this);">{{#translate}}lire_la_suite{{/translate}}</div>\n\
			</div>\n\
		</div>\n\
		{{/items}}'
}
