/* 
 * JS File for Actualite View
 */
var onlineScreen = {
	viewModel: null,
	viewContainerId : 'actu',
	dataModel: null,
	doRequest: true,
	onActivate: function() {
		logger.debug('onlineScreen.onActivate');
		this.page = 1;
		this.members = [];
		onlineScreen.hideMoreMembersButton();
		this.loadData();
	},
	onDeactivate: function() {
		logger.debug('onlineScreen.Ondeactivate');
		// set this back value to default value
		onlineScreen.doRequest = true;
	},
	loadData: function(viewCode) {
		logger.debug('onlineScreen.loadData');
		loader.show();
		// Call webservice
		var options = {
			method: 'GET',
			ws: 'search.advancedsearch',
			data: [
				'kvk=' + user.my_gender + user.my_search_gender,
				'postcode=',
				'online=1',
				'distance=',
				'country=' + COUNTRY
			]
		};

		if (onlineScreen.doRequest) {
			if (typeof viewCode !== 'undefined') {
				options.data.push('ref=' + viewCode);
			}
			ws.doRequest(options, this.successLoadData, this.errorLoadData);
		} else {
			// used when back button is triggered
			loader.hide();
			return true;
		}
	},
	showProfile: function(refId) {
		logger.debug('onlineScreen.showProfile');
		memberScreen.loadData(refId);
		// update user current Viewing file id
		var temp = 0;
		for (var i = 0; i < user.connectionIdList.length; i++) {
			if (refId == user.connectionIdList[i]._id) {
				temp = i;
				break;
			}
		}
		user.currentMemberViewingIndex = temp;
	},
	loadViewWith: function(members) {
		logger.debug('onlineScreen.loadViewWith');

		if (onlineScreen.page == 6) {
			user.connectionIdList = [];
		}
		var pages;

		for (var i = 0, length1 = members.length; i < length1; i++) {
			pages = members[i];
			for (var current = 0, length = pages.length; current < length; current++) {
				var member = pages[current];
				// For compatibility with member view !
				member._id = member.aboid;
				user.connectionIdList.push(member);

				if ((current + 1) % 2 == 0) {
					member.className = "even";
				}
				else {
					member.className = "odd";
				}
				member.age = stringTable.code.old.replace('%s', member.age);
				member.online = member.statut_online ? stringTable.code.online : stringTable.code.offline;
			}
		}

		// actuScreen.showProfile(this.id);
		var template = '<ul>\n\
				{{#items}}\n\
				<li id="{{aboid}}" class="linkToMemberProfile {{className}}" onclick="javascript:actuScreen.showProfile({{aboid}});helper.addToHistory(\'online\');">\n\
					{{>photo}}\n\
					{{>infos}}\n\
				</li>\n\
				{{/items}}\n\
			</ul>';

		var partials = {
			photo: '<span class="image"><img src={{photo}} alt=""/></span>',
			infos: '<span class="nickname">{{nickname}}</span>\n\
				<span class="age">{{age}}</span>\n\
				<span class="town">{{town}}</span>\n\
				<span class="online">{{online}}</span>'
		};

		var view = {
			items: user.connectionIdList
		}

		var html = Mustache.to_html(template, view, partials);
		document.getElementById("onlineContainer").innerHTML = html;
		loader.hide();
	},
	successLoadData: function(httpReq) {
		logger.debug('onlineScreen.successLoadData');

		if (httpReq.responseText !== '') {
			try {
				var response = eval('(' + httpReq.responseText + ')');
			} catch(exception) {
				onlineScreen.errorCallWs('wsResponseUnavailable');
				return false;
			}

			if (typeof response.resultset.result != 'undefined') {
				if (onlineScreen.page > 6) {
					onlineScreen.members = [];
				}
				onlineScreen.members.push(response.resultset.result.members);

				// Is it the last page
				if (response.resultset.result.navigate.after !== null && onlineScreen.page <= 5) {
					onlineScreen.page++;
					onlineScreen.loadData(response.resultset.result.navigate.after[0].ref);
				} else {
					// Display more button
					if (response.resultset.result.navigate.after !== null) {
						onlineScreen.displayMoreMembersButton(response.resultset.result.navigate.after[0].ref);
					} else {
						onlineScreen.hideMoreMembersButton();
					}

					onlineScreen.loadViewWith(onlineScreen.members);
				}
				return true;
			} else {
				onlineScreen.errorCallWs('wsResponseUnavailable');
				return false;
			}
		} else {
			onlineScreen.errorCallWs('wsResponseUnavailable');
			return false;
		}
	},
	errorLoadData: function(errorCode) {
		logger.debug('onlineScreen.errorLoadData');
		logger.error('actualiteScreen.errorCallWs');
		loader.hide();
		confirmation.alert("confirmationPopupText", stringTable.code.loadError);
	},
	displayError: function(message) {
		logger.error('onlineScreen.displayError');
		if (typeof this.loginError != 'undefined') {
			var error = document.createElement('p');
			error.innerHTML = message;
			this.loginError.appendChild(error);
		}
	},
	displayMoreMembersButton: function(viewCode) {
		logger.error('onlineScreen.displayMoreMembersButton');
		var button = document.getElementById('onlineMore');
		if (button !== null) {
			button.style.display = 'block';
			button.onclick = function() {
				onlineScreen.page++;
				onlineScreen.loadData(viewCode);
			}
		}
	},
	hideMoreMembersButton: function() {
		logger.error('onlineScreen.hideMoreMembersButton');
		var button = document.getElementById('onlineMore');
		if (button !== null) {
			button.style.display = 'none';
		}
	}
}
