/**
 * Popup object
 */
function popup(id_popup, id_close_button) {
	var self = {
		active: false,
		element: null,
		closeButton: null,
		init: function() {
			logger.debug('popup.init');
			this.element = document.getElementById(id_popup);
			this.closeButton = document.getElementById(id_close_button);
		},
		show: function() {
			logger.debug('popup.show');
			if (self.active === false && self.element !== null) {
				self.element.removeClass('hidden');
				document.body.addClass('popupActived');
				self.active = true;
				if (self.closeButton !== null) {
					self.closeButton.addEventListener('click', self.hide, false);
				}
//				this.addEventsListener();
			}
		},
		hide: function() {
			logger.debug('popup.hide');
			if (self.active === true && self.element !== null) {
				self.element.addClass('hidden');
				document.body.removeClass('popupActived');
				self.active = false;
				if (self.closeButton !== null) {
					self.closeButton.removeEventListener('click', self.hide, false);
				}
//				this.removeEventsListener();
			}
		},
		addEventsListener: function() {
			logger.debug('popup.addEventsListener');
			document.body.addEventListener('click', this.cancelEvent, false);
			document.body.addEventListener('scroll', this.cancelEvent, false);
			document.body.addEventListener('touchstart', this.cancelEvent, false);
			document.body.addEventListener('event', this.cancelEvent, false);
			document.body.addEventListener('touch', this.cancelEvent, false);
			document.body.addEventListener('touchmove', this.cancelEvent, false);
			document.body.addEventListener('touchend', this.cancelEvent, false);
		},
		removeEventsListener: function() {
			logger.debug('popup.removeEventListener');
			document.removeEventListener('click', this.cancelEvent, false);
			document.removeEventListener('scroll', this.cancelEvent, false);
		},
		cancelEvent: function (e) {
		},
		alert: function(textId, message, time) {
			logger.debug('popup.alert');
			time = time || CONFIRM_TIME;
			logger.debug('popup.alert' + time);
			textElement = document.getElementById(textId);
			if (textElement !== null) {
				textElement.innerHTML = message;
				self.show();
				setTimeout(function() {
					logger.debug('popup.alert hide');
					self.hide();
				}, time);
				logger.debug('popup.alert end');
			} else {
				logger.warn('element with id ' + textId + ' not found');
			}
		}
	}
	self.init();
	return self;
}
