/*
 * JS File for Actualite View
 *
 */
var widgetHomeScreen = {
	onlineId: "widgetOnline",
	onlineCountId: "widgetOnlineCount",
	mailId: "widgetMail",
	mailCountId: "widgetMailCount",
	interval: null,
	onActivate: function() {
		logger.info('widgetHomeScreen.onActivate');
		window.scrollTo(0,0);
		menu.hide();
		loader.hide();
		if (user.isConnected()) {
			document.getElementById(widgetHomeScreen.mailId).style.display = "block";
		} else {
			document.getElementById(widgetHomeScreen.mailId).style.display = "none";
		}
		widgetHomeScreen.loadData();
		widgetHomeScreen.enableInterval();
	},
	onDeactivate: function() {
		logger.info('widgetHomeScreen.onDeactivate');
		widgetHomeScreen.disableInterval();
	},
	enableInterval: function() {
		logger.info('widgetHomeScreen.enableInterval');
		widgetHomeScreen.interval = setInterval(function() {			
			widgetHomeScreen.loadData();
		}, WIDGET_REFRESH);
	},
	disableInterval: function() {
		logger.info('widgetHomeScreen.disableInterval');
		if (widgetHomeScreen.interval !== null) {
			clearInterval(widgetHomeScreen.interval);
			widgetHomeScreen.interval = null;
		}
	},
	loadData: function() {
		logger.info('widgetHomeScreen.loadData');
		if (user.isConnected()) {
			emailUpdateChecker.pollActive = true;
			emailUpdateChecker.poll();
		}
		// Call webservice
		var options = {
			method: 'GET',
			ws: 'main.online',
			data: []
		}
		ws.doRequest(options, this.successCallWs, this.errorCallWs);
	},
	createPage: function(response) {
		logger.info('widgetHomeScreen.createPage');
		if (user.isConnected()) {
			document.getElementById(widgetHomeScreen.mailId).style.display = "block";
			emailUpdateChecker.pollActive = true;
			emailUpdateChecker.poll();
			document.getElementById(widgetHomeScreen.mailCountId).innerHTML = emailUpdateChecker.lastCountUpdate;
		} else {
			document.getElementById(widgetHomeScreen.mailId).style.display = "none";
		}
		document.getElementById(widgetHomeScreen.onlineCountId).innerHTML = response.resultset.result.nb_online;
	},
	successCallWs: function(httpReq) {
		logger.info('widgetHomeScreen.successCallWs');
		if (httpReq.responseText !== '') {
			var responseText = httpReq.responseText.replace(/@id/g, '_id');
			responseText = responseText.replace(/(action|link|duration)@/g, '$1_');
			try {
				var response = eval('(' + httpReq.responseText + ')');
			} catch(exception) {
				logger.error("Impossible d'interpréter la réponse du ws");
				return false;
			}
			widgetHomeScreen.createPage(response);
		}
		return true;
	},
	errorCallWs: function(errorCode) {
		logger.error(errorCode);
	}
}
