var writeMailScreen = {
	message: null,
	onActivate: function(message) {
		logger.debug('writeMailScreen.onActivate');
		this.message = message;
		this.createPage();
		this.writeMailForm = document.getElementById("writeMailForm");
		if (this.writeMailForm !== null) {
			this.writeMailForm.addEventListener('submit', this.onFormSubmit, false);
		}
	},
	onDeactivate: function() {
		logger.debug('writeMailScreen.onDeactivate');
	},
	successLoadData: function(httpReq) {
		logger.debug('writeMailScreen.successLoadData');
		
		if (httpReq.responseText !== '') {
			// Eval response to transform json to an object
			try {
				var response = eval('(' + httpReq.responseText + ')');
			} catch(exception) {
				writeMailScreen.errorLoadData('eval of httpReq.responsetext failed');
				return false;
			}

			if (typeof response.resultset.result != 'undefined') {
				var message = stringTable.code.mailSended.replace('%s', writeMailScreen.message.nickname);
				confirmation.alert("confirmationPopupText", message);
				helper.changePage('mail', writeMailScreen.message.ref);
				var bodyField = document.getElementById('writeMailBody');
				if (bodyField !== null) {
					bodyField.value = "";
				}
				helper.historyGoBack();
				return true;
			} else {
				writeMailScreen.errorLoadData('response.resultset.result is undefined');
				return false;
			}
		} else {
			writeMailScreen.errorLoadData('httpReq.responseText is empty');
			return false;
		}
		
		//helper.changePage('member');
	},
	errorLoadData: function(errorCode) {
		logger.debug('writeMailScreen.errorLoadData');
		logger.error(errorCode);
		confirmation.alert("confirmationPopupText", stringTable.code.mailNotSended);
//		loader.hide()
	},
	createPage: function() {
		logger.debug('writeMailScreen.createPage');

		var template = '{{#items}}\n\
				<div class="infos">\n\
					<span class="image"><img src="{{photo}}" alt=""/></span>\n\
					<span class="age">{{age}}</span>\n\
					<span class="town">{{town}}</span>\n\
					<span class="status">{{online}}</span>\n\
				</div>\n\
				{{/items}}';

		var view = {
			items: this.message
		}
		var html = Mustache.to_html(template, view);
		document.getElementById("headerNicknameWriteMail").innerHTML = this.message.nickname;
		document.getElementById("writeMailInfosContainer").innerHTML = html;

		if (typeof this.message.header != 'undefined') {
			document.getElementById('writeMailSubject').innerHTML = this.message.header;
			document.getElementById('writeMailSubject').style.display = "block";
			this.message.header = 'Re : ' + this.message.header;
			var writeMailSubjectField = document.getElementById('writeMailSubjectField');
			writeMailSubjectField.type = 'hidden';
			writeMailSubjectField.value = this.message.header;
		} else {
			document.getElementById('writeMailSubject').style.display = "none";
			var writeMailSubjectField = document.getElementById('writeMailSubjectField');
			writeMailSubjectField.type = 'text';
			writeMailSubjectField.value = '';
		}

		loader.hide();
	},
	onFormSubmit: function(event) {
		logger.debug('writeMailScreen.onFormSubmit');
		event.preventDefault();
		event.stopPropagation();

		var subjectField = document.getElementById('writeMailSubjectField');
		var bodyField = document.getElementById('writeMailBody');

		if (subjectField !== null && bodyField !== null) {
			if (subjectField.value !== "" && bodyField.value !== "" && writeMailScreen.message.aboid) {
				var options = {
					method: 'GET',
					ws: 'msg.send',
					data: [
						'to=' + writeMailScreen.message.aboid,
						'header=' + encodeURIComponent(subjectField.value),
						'body=' + encodeURIComponent(bodyField.value)
					]
				};
				ws.doRequest(options, writeMailScreen.successLoadData, writeMailScreen.errorLoadData);
			}
		}

		return false;
	}
}
