/**
 * Call Meetic webservice
 */
var ws = {
	options: null,
	successCallbackFunction: null,
	errorCallbackFunction: null,
	authenticate: function(login, password, successCallbackFunction, errorCallbackFunction) {
		logger.debug('ws.authenticate');
		if (login == null && password == null) {
			helper.change('login');
			return;
		}
		
		logger.debug('ws.authenticate');
		var options = {
			method: 'GET',
			ws: 'authent.auth',
			data: [
				'login=' + login,
				'password=' +  password
			]
		}
		ws.doRequest(options, successCallbackFunction, errorCallbackFunction);
	},
	flashMember: function(aboId, successCallbackFunction, errorCallbackFunction) {
		logger.debug('ws.flashMember');
		memberScreen.flashConfirmationPopup = new popup('flashConfirmationPopUp');
		memberScreen.flashConfirmationPopup.show();
		
		logger.debug('ws.member.wink');
		var options = {
			method: 'GET',
			ws: 'member.wink',
			data: [
				'aboid=' + aboId,
			]
		}
		ws.doRequest(options, successCallbackFunction, errorCallbackFunction);
	},
	onlineUsers: function() {
		logger.debug('ws.onlineUsers');
		var options = {
			method: 'GET',
			ws: 'main.online',
			data: []
		}
		ws.doRequest(options, successCallbackFunction, errorCallbackFunction);
	},
	doRequest: function(options, successCallbackFunction, errorCallbackFunction) {
		logger.debug('ws.doRequest');
		// Test options.ws
		if (typeof options.ws == 'undefined') {
			logger.error("You have to defined 'options.ws' parameter.");
			return false;
		}
		// Concat url
		options.url = WS_URL + '?method=' + options.ws + '&appid=' + APP_ID;
		// Add user ssid if webservice
		if (options.ws != 'msg.number' && options.ws != 'main.online' && options.ws != 'authen.auth' && user.sessionId !== null) {
			options.url+= '&ssid=' + user.sessionId;
		}
		// Do ajax request
		ajax.doRequest(options, this.wsSuccess, this.wsError);
		// Save request
		if (ws.newSsid !== true) {
			this.options = options;
			this.successCallbackFunction = successCallbackFunction;
			this.errorCallbackFunction = errorCallbackFunction;
		}
	},
	wsSuccess: function(httpReq) {
		logger.debug('ws.wsSuccess');
		var errorCode = null;
		
		switch (httpReq.status) {
			case httpStatusCode.badRequest:
			case httpStatusCode.forbidden:
				errorCode = 'unavailableFeature';
				break;
			case httpStatusCode.notFound:
				errorCode = 'noDataConnection';
				break;
			case httpStatusCode.notAcceptable:
				errorCode = 'unavailableFeature';
				if (httpReq.responseText !== '') {
					var response = eval('(' + httpReq.responseText + ')');
					if (typeof response.error != 'undefined' && response.error.code == "406.1.0") {
						errorCode = 'loginErrorMessage';
					}
				}
				break;
			case httpStatusCode.unauthorized:
				var response = eval('(' + httpReq.responseText + ')');
				if (typeof response.error != 'undefined' && response.error.code == "401.11") {
					errorCode = 'sessionExpired';
				} else {
					errorCode = 'unavailableOrMaintenanceMessage';
				}
				break;
			case httpStatusCode.internalServerError:
			case httpStatusCode.notImplemented:
			case httpStatusCode.badGateway:
				errorCode = 'unavailableOrMaintenanceMessage';
				break;
		}
		
		if (errorCode === null) {
			if (ws.newSsid === true) {
				ws.newSsid = false;
				if (httpReq.responseText !== '') {
					try {
						var response = eval('(' + httpReq.responseText + ')');
					} catch(exception) {
						logger.debug('Unable to convert webservice response.');
						ws.wsError('Unable to convert webservice response.');
					}

					if (typeof response.resultset.result != 'undefined') {
						logger.debug('Session id => ' + response.resultset.result.ssid);
						user.sessionId = response.resultset.result.ssid;
						if (ws.options.ws === 'msg.display') {
							helper.changePage('inbox');
						} else {
							ws.doRequest(ws.options, ws.successCallbackFunction, ws.errorCallbackFunction);
						}
					} else {
						ws.wsError('Unable to get session id');
					}
				} else {
					ws.wsError('WS Result is empty');
				}
				
			} else if (typeof ws.successCallbackFunction == 'function') {
				ws.successCallbackFunction(httpReq);
			}
		} else {
			if (errorCode == 'sessionExpired' && ws.newSsid !== true) {
				logger.warn('User\'s session expired');
				ws.newSsid = true;
				ws.authenticate(user.login, user.password);
			} else {
				ws.wsError(errorCode);
			}
		}
	},
	wsError: function(errorCode) {
		logger.debug('ws.wsError');
		logger.error(errorCode);
		if (ws.newSsid === true) {
			user.reset();
			helper.changePage('login');
		}
		if (typeof ws.errorCallbackFunction == 'function') {
			ws.errorCallbackFunction(errorCode);
		}
	},
	resetRequest: function() {
		logger.debug('ws.resetRequest');
		this.options = null;
		this.successCallbackFunction = null;
		this.errorCallbackFunction = null;
		this.newSsid = null;
	}
}
